/*
 * Copyright (C) 2014 Microchip Technology Inc. and its subsidiaries.  You may use this software and any derivatives
 * exclusively with Microchip products.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS
 * SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A PARTICULAR
 * PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE,
 * COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS BEEN ADVISED OF
 * THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON
 * ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID
 * DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE TERMS.
 *
 *
 * File:        timers.h
 * Date:        July 24, 2014
 * Compiler:    XC16 v1.21
 *
 * Timer functions
 *
 */

#ifndef _TIMERS_H_
#define _TIMERS_H_

void timersInitialize(void);
int8_t timersGetTimer(void);
int8_t timersGetAndStartTimer(int16_t);
int8_t timersStartTimer(int8_t, int16_t);
int8_t timersFreeTimer(int8_t);
int8_t timersIsTimerDone(int8_t);
uint16_t timersGetTimerTickCount(int8_t);
void timersStartLongTimer(int32_t);
int8_t timersIsLongTimerDone(void);
void timersWait1ms(int16_t);
void timersWait1us(int16_t);

void timersResetStopwatch(void);
void timersStartStopwatch(void);
uint32_t timersStopStopwatch(void);
uint32_t timersReadStopwatch(void);

#endif
